Index: protocols/account.c
===================================================================
--- protocols/account.c	(revision c43f4886bf2e0c94dca1ac69ac7415e21f59d066)
+++ protocols/account.c	(revision e222c36bb432c77da90ce39609ad4ba472550bb7)
@@ -53,5 +53,5 @@
 	
 	s = set_add( &a->set, "auto_connect", "true", set_eval_account, a );
-	s->flags |= ACC_SET_NOSAVE;
+	s->flags |= SET_NOSAVE;
 	
 	s = set_add( &a->set, "auto_reconnect", "true", set_eval_bool, a );
@@ -61,14 +61,14 @@
 	
 	s = set_add( &a->set, "nick_source", "handle", set_eval_nick_source, a );
-	s->flags |= ACC_SET_NOSAVE; /* Just for bw compatibility! */
+	s->flags |= SET_NOSAVE; /* Just for bw compatibility! */
 	
 	s = set_add( &a->set, "password", NULL, set_eval_account, a );
-	s->flags |= ACC_SET_NOSAVE | SET_NULL_OK | SET_PASSWORD;
+	s->flags |= SET_NOSAVE | SET_NULL_OK | SET_PASSWORD;
 	
 	s = set_add( &a->set, "tag", NULL, set_eval_account, a );
-	s->flags |= ACC_SET_NOSAVE;
+	s->flags |= SET_NOSAVE;
 	
 	s = set_add( &a->set, "username", NULL, set_eval_account, a );
-	s->flags |= ACC_SET_NOSAVE | ACC_SET_OFFLINE_ONLY;
+	s->flags |= SET_NOSAVE | ACC_SET_OFFLINE_ONLY;
 	set_setstr( &a->set, "username", user );
 	
Index: protocols/account.h
===================================================================
--- protocols/account.h	(revision c43f4886bf2e0c94dca1ac69ac7415e21f59d066)
+++ protocols/account.h	(revision e222c36bb432c77da90ce39609ad4ba472550bb7)
@@ -61,5 +61,4 @@
 typedef enum
 {
-	ACC_SET_NOSAVE = 0x01,          /* Don't save this setting (i.e. stored elsewhere). */
 	ACC_SET_OFFLINE_ONLY = 0x02,    /* Allow changes only if the acct is offline. */
 	ACC_SET_ONLINE_ONLY = 0x04,     /* Allow changes only if the acct is online. */
Index: protocols/jabber/jabber.c
===================================================================
--- protocols/jabber/jabber.c	(revision c43f4886bf2e0c94dca1ac69ac7415e21f59d066)
+++ protocols/jabber/jabber.c	(revision e222c36bb432c77da90ce39609ad4ba472550bb7)
@@ -80,5 +80,5 @@
 	
 	s = set_add( &acc->set, "server", NULL, set_eval_account, acc );
-	s->flags |= ACC_SET_NOSAVE | ACC_SET_OFFLINE_ONLY | SET_NULL_OK;
+	s->flags |= SET_NOSAVE | ACC_SET_OFFLINE_ONLY | SET_NULL_OK;
 	
 	s = set_add( &acc->set, "ssl", "false", set_eval_bool, acc );
Index: protocols/msn/msn.c
===================================================================
--- protocols/msn/msn.c	(revision c43f4886bf2e0c94dca1ac69ac7415e21f59d066)
+++ protocols/msn/msn.c	(revision e222c36bb432c77da90ce39609ad4ba472550bb7)
@@ -39,5 +39,5 @@
 	
 	s = set_add( &acc->set, "display_name", NULL, set_eval_display_name, acc );
-	s->flags |= ACC_SET_NOSAVE | ACC_SET_ONLINE_ONLY;
+	s->flags |= SET_NOSAVE | ACC_SET_ONLINE_ONLY;
 	
 	set_add( &acc->set, "mail_notifications", "false", set_eval_bool, acc );
Index: protocols/oscar/oscar.c
===================================================================
--- protocols/oscar/oscar.c	(revision c43f4886bf2e0c94dca1ac69ac7415e21f59d066)
+++ protocols/oscar/oscar.c	(revision e222c36bb432c77da90ce39609ad4ba472550bb7)
@@ -378,5 +378,5 @@
 	            icq ? AIM_DEFAULT_LOGIN_SERVER_ICQ
 	                : AIM_DEFAULT_LOGIN_SERVER_AIM, set_eval_account, acc);
-	s->flags |= ACC_SET_NOSAVE | ACC_SET_OFFLINE_ONLY;
+	s->flags |= SET_NOSAVE | ACC_SET_OFFLINE_ONLY;
 	
 	if (icq) {
Index: protocols/skype/skype.c
===================================================================
--- protocols/skype/skype.c	(revision c43f4886bf2e0c94dca1ac69ac7415e21f59d066)
+++ protocols/skype/skype.c	(revision e222c36bb432c77da90ce39609ad4ba472550bb7)
@@ -1509,11 +1509,11 @@
 	s = set_add(&acc->set, "display_name", NULL, skype_set_display_name,
 		acc);
-	s->flags |= ACC_SET_NOSAVE | ACC_SET_ONLINE_ONLY;
+	s->flags |= SET_NOSAVE | ACC_SET_ONLINE_ONLY;
 
 	s = set_add(&acc->set, "call", NULL, skype_set_call, acc);
-	s->flags |= ACC_SET_NOSAVE | ACC_SET_ONLINE_ONLY;
+	s->flags |= SET_NOSAVE | ACC_SET_ONLINE_ONLY;
 
 	s = set_add(&acc->set, "balance", NULL, skype_set_balance, acc);
-	s->flags |= ACC_SET_NOSAVE | ACC_SET_ONLINE_ONLY;
+	s->flags |= SET_NOSAVE | ACC_SET_ONLINE_ONLY;
 
 	s = set_add(&acc->set, "skypeout_offline", "true", set_eval_bool, acc);
